#include "xgputexturesizestack1d.h"

XGpuTextureSizeStack1D::XGpuTextureSizeStack1D()
    : XAsset()
    , mWidth(0)
{
    SetName("GPU Texture Size Stack 1D");
}

void XGpuTextureSizeStack1D::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XGpuTextureSizeStack1D::ParseData
}

void XGpuTextureSizeStack1D::Clear()
{
    mWidth = 0;
}
